%global modulename resolve

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-resolve
Version:        1.8.1
Release:        1%{?dist}
Summary:        resolve like require.resolve() on behalf of files asynchronously and synchronously

License:        MIT
URL:            https://github.com/browserify/resolve#readme
Source0:        https://registry.npmjs.org/resolve/-/resolve-1.8.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(path-parse) >= 1.0.5 with npmlib(path-parse) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
resolve like require.resolve() on behalf of files asynchronously and synchronously

%package 1.8.1
Summary:        resolve like require.resolve() on behalf of files asynchronously and synchronously


%description 1.8.1
resolve like require.resolve() on behalf of files asynchronously and synchronously

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .editorconfig %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .eslintignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .eslintrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr appveyor.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr example %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.markdown
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.8.1
%doc readme.markdown
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 20 2018 npm2srpm <dshea@redhat.com> - 1.8.1-1
- Package automatically generated by npm2srpm
